## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/ansible-collections/community.internal_test_tools
%bcond tests 1

Name:           ansible-collection-community-internal_test_tools
Version:        0.11.0
%global tag     %{version}
%forgemeta
Release:        %autorelease
Summary:        Internal test tools for other collections

License:        GPL-3.0-or-later
URL:            %{ansible_collection_url community internal_test_tools}
Source:         %{forgesource}
# Not upstreamable. See Ansible Collection Packaging Guidelines.
Patch:          build_ignore.patch
# https://github.com/ansible-collections/community.internal_test_tools/pull/130
Patch:          remove-python-mock.patch

BuildArch:      noarch

BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif

%description
The community.library_inventory_filtering_v1 collection includes helpers for
use with other collections that allow inventory plugins to offer common
filtering functionality.


%prep
%autosetup -p1 %{forgesetupargs}
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
sed -i 's|^#!/usr/bin/env python|#!%{python3}|' \
    tests/sanity/extra/*.py


%build
%ansible_collection_build


%install
%ansible_collection_install


%check
%ansible_test_unit


%files -f %{ansible_collection_filelist}
%license .reuse
%license CHANGELOG.rst.license
%license COPYING
%license LICENSES
%license changelogs/changelog.yaml.license
%license tests/sanity/extra/*.json.license
%doc CHANGELOG.rst
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Aug 22 2024 Maxwell G <maxwell@gtmx.me> - 0.11.0-1
- Initial package (rhbz#2263696)
## END: Generated by rpmautospec
